CustomizerCallback (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beaninfo
Interface CustomizerCallback

    public interface CustomizerCallback

Extended design-time services for customizers. Implement this interface in your customizer class to have the install4j GUI call the its methods at design-time.

See Also:
  `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`

Method Summary
`ProjectReportProperty[]` | `getProjectReportProperties()` Called by the install4j GUI when the user exports a project report.
`void` | `setParentWindow(java.awt.Window window)` Called by the install4j GUI afer the customizer is initialized and sets the parent window.
`void` | `stopEditing()` Called by the install4j GUI when the user moves to another bean or to a different comfiguation step.

Method Detail

### stopEditing

    void stopEditing()

  Called by the install4j GUI when the user moves to another bean or to a different comfiguation step. This is useful if your customizer does not save user input directly to the bean.

### setParentWindow

    void setParentWindow(java.awt.Window window)

  Called by the install4j GUI afer the customizer is initialized and sets the parent window. This is useful, if you need a parent window for your own dialogs.

  Parameters:
    `window` - the parent window

### getProjectReportProperties

    ProjectReportProperty[] getProjectReportProperties()

  Called by the install4j GUI when the user exports a project report. Your customizer can contribute to the project report with this method.

  Returns:
    the project report elements contributed by this customizer

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD